> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /notifications/feed/{id}/thread



## OpenAPI

````yaml /openapi/customer-api.json get /notifications/feed/{id}/thread
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Audit
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Events
  - name: Files
  - name: Import
  - name: Notifications
  - name: Persistent agents
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Review policy
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /notifications/feed/{id}/thread:
    get:
      tags:
        - Notifications
      operationId: NotificationsController_getThread
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationThreadDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    NotificationThreadDto:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NotificationFeedItemDto'
          type: array
      required:
        - items
      type: object
    NotificationFeedItemDto:
      properties:
        created_at:
          type: string
        event_type:
          enum:
            - UserInvited
            - ReviewAssigned
            - ReviewSubmitted
            - ReviewStale
            - RequirementBroken
            - CommentMention
            - EntityChanged
            - CommentReply
            - CommentResolved
            - BranchReadyForReview
            - BranchMerged
            - BranchOwnerChanged
            - ShareViewOpened
            - ViewShared
            - AutomationRunFinished
            - AgentChatFinished
            - AgentChatNeedsInput
            - AutomationActivity
            - AutomationItemsChanged
            - WatcherFindingRaised
            - AutomationNotification
          type: string
        id:
          type: string
        payload:
          additionalProperties: true
          type: object
        read:
          description: False when any row of the thread is unread
          type: boolean
        update_count:
          description: Rows in the thread this row heads; 1 for a notification of its own
          type: number
      required:
        - id
        - event_type
        - payload
        - created_at
        - read
        - update_count
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.